tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alexandre Vézina <alexandre....@gmail.com>
Subject Distributed version of commons-daemon.jar
Date Sat, 23 Oct 2010 00:17:30 GMT
Hi guys,

I had a bug starting tomcat6 with (commons-daemon). The problem was that
common-daemons was not able to register native methods (with
commons-daemon.jar). Digging into the problem made me find that the file
commons-daemon.jar distributed in
http://apache.infocom.ua/tomcat/tomcat-6/v6.0.29/src/apache-tomcat-6.0.29-src.tar.gz
was
not compatible with the (only) version of common-daemons wich is distributed
right now (http://www.eu.apache.org/dist/commons/daemon/source/). Everything
worked fine when I got a copy of 1.0.2 from the svn tags.

So since the common-daemons-1.0.2 is no more distributed and the jar
distributed in tomcat-6.0.29 seems to be in version 2, do you think it would
be a good idea to to update tomcat6.0.29-src.tar.gz with the
common-daemons-1.0.3.jar? Actually almost nobody will ever compile
common-daemons-1.0,2 again since the archive is no more available.

I got this problem while trying to update the AUR from archlinux:
http://aur.archlinux.org/packages.php?ID=35060&O=&L=&C=&K=&SB=&SO=&PP=&do_Orphans=&SeB=

Thank you
-------
Alexandre Vézina

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message